### Enumeration

# Fwupd SecurityAttrFlags

#### Declaration

    flags Fwupd.SecurityAttrFlags

#### Description [src]

The flags available for HSI attributes.

#### Members

`FWUPD_SECURITY_ATTR_FLAG_NONE`

  No flags set.

  - Value: `0`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_SUCCESS`

  Success.

  - Value: `1`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_OBSOLETED`

  Obsoleted by another attribute.

  - Value: `2`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_MISSING_DATA`

  Missing data.

  - Value: `4`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_RUNTIME_UPDATES`

  Suffix `U`.

  - Value: `256`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_RUNTIME_ATTESTATION`

  Suffix `A`.

  - Value: `512`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_RUNTIME_ISSUE`

  Suffix `!`.

  - Value: `1024`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_ACTION_CONTACT_OEM`

  Contact the firmware vendor for a update.

  - Value: `2048`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_ACTION_CONFIG_FW`

  Failure may be fixed by changing FW config.

  - Value: `4096`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_ACTION_CONFIG_OS`

  Failure may be fixed by changing OS config.

  - Value: `8192`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_CAN_FIX`

  The failure can be automatically fixed.

  - Value: `16384`
  - Available since: 2.0
`FWUPD_SECURITY_ATTR_FLAG_CAN_UNDO`

  The fix can be automatically reverted.

  - Value: `32768`
  - Available since: 2.0